Bug 255243 - New port: dns/blocky: Fast and lightweight DNS proxy as ad-blocker
Summary: New port: dns/blocky: Fast and lightweight DNS proxy as ad-blocker
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Juraj Lutter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-20 01:38 UTC by Greg Fitzgerald
Modified: 2021-04-28 21:06 UTC (History)
2 users (show)

See Also:
gregf: maintainer-feedback+


Attachments
blocky.diff (14.74 KB, patch)
2021-04-20 01:38 UTC, Greg Fitzgerald
no flags Details | Diff
Patch for blocky (14.74 KB, patch)
2021-04-21 03:07 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for blocky v2 (14.72 KB, patch)
2021-04-21 03:13 UTC, daniel.engberg.lists
daniel.engberg.lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2021-04-20 01:38:14 UTC
Created attachment 224273 [details]
blocky.diff

This is a diff for a new port called blocky. You can find more information at its GitHub page found here. https://github.com/0xERR0R/blocky

Blocky is akin to pi-hole, but written in go. Provides a static binary and a Prometheus endpoint for Grafana dashboards.

I have tested this locally and it "Works for me". Feed back welcomed.
Comment 1 daniel.engberg.lists 2021-04-21 03:07:17 UTC
Created attachment 224316 [details]
Patch for blocky

Minor style fix in Makefile and remove SVN tag
Use @sample macro for example config and no need to create a dir for a single file
Adjust rc.d script accordingly
Fix pkg-message (and fix typo)

Compile and run tested on FreeBSD 13.0-RC1 (aarch64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 2 daniel.engberg.lists 2021-04-21 03:13:07 UTC
Created attachment 224317 [details]
Patch for blocky v2

Remove incorrect SVN tag from rc.d script
Comment 3 Greg Fitzgerald 2021-04-21 16:16:30 UTC
Comment on attachment 224317 [details]
Patch for blocky v2

Looks good to me!
Comment 4 commit-hook freebsd_committer 2021-04-28 21:05:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=19d94acee3a6877d5252a7a77ff7d40c97fed85c

commit 19d94acee3a6877d5252a7a77ff7d40c97fed85c
Author:     Greg Fitzgerald <gregf@beastie.tech>
AuthorDate: 2021-04-28 15:58:51 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-04-28 20:55:06 +0000

    New port: dns/blocky

    Add dns/blocky, Fast and lightweight DNS proxy as ad-blocker.

    PR:             255243
    Reviewed by:    osa (mentor)

 dns/blocky/Makefile (new)                       | 72 +++++++++++++++++++
 dns/blocky/distinfo (new)                       | 95 +++++++++++++++++++++++++
 dns/blocky/files/blocky-config.yml.sample (new) | 15 ++++
 dns/blocky/files/blocky.in (new)                | 36 ++++++++++
 dns/blocky/files/pkg-message.in (new)           | 14 ++++
 dns/blocky/pkg-descr (new)                      |  4 ++
 dns/blocky/pkg-plist (new)                      |  2 +
 7 files changed, 238 insertions(+)
Comment 5 Juraj Lutter freebsd_committer 2021-04-28 21:06:53 UTC
Committed, thanks.